#!/bin/sh -xe

# Fails with LLVM+Clang r343902
# Perform syntax only check
clang -c test.cpp -fsyntax-only > out.txt 2>&1

# Perform test, expected to fail
! clang -c -march=btver2 -O2 test.cpp  > out.txt 2>&1

# Check for failure text
grep -F 'idx < size()' out.txt
